.LP
Test how well list macros work.
We need to nest lists to some depth,
to make sure LI overloading works properly.
.ULS
.LI
The updated www.tmac supports three styles of list:
.OLS
.LI
bulleted (ULS/ULE)
.LI
numbered (OLS/OLE) (like this)
.LI
definition (like BVL in -mm)
.OLE
.LI
.de IPP
.sp \\n[PD]u
..
The LI macro should automatically create the correct output
for each list type.
.ULE
.LP
The list styles are:
.DLS
.LI "bulleted"
A bulleted list displays items in an arbitrary order.
Each item is preceded by a symbol, usually a round bullet
or a dash.
The macros available are:
.ULS
.LI
ULS
.LI
ULE
.ULE
.LI "numbered"
A numbered list displays items in a particular order.
One common use for a numbered lists is for steps in
a procedure.
The macros available are:
.ULS
.LI
OLS
.LI
OLE
.ULE
.LI "definition"
A definition list is often used to display lists of
variables, or terms in a glossary.
The macros available are:
.ULS
.LI
DLS
.LI
DLE
.ULE
.DLE
.LP
To successfully compile
.I groff
to replace the installed version on MacOS\ X 10.2
(Jaguar), follow these steps:
.OLS
.LI
Use CVS to download the source.
.LI
Compile the source using the following commands:
.OLS
.LI
\&./configure --prefix=/usr --mandir=/usr/share/man CXX=g++2
.LI
make
.OLE
.LI
Use
.CW test-groff
to format test documents.
.LI
Enter the command
.CW "make install"
to install
.I groff ,
overwriting the default installation.
.OLE
